Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/Cache.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/Cache.h	(revision 72)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/Cache.h	(revision 75)
@@ -27,5 +27,5 @@
 private : const uint32_t    _miss_rate;
 private : const uint32_t    _miss_penality;
-private : list<cache_rsp_t> _list_respons;
+private : std::list<cache_rsp_t> _list_respons;
 					 
 public  : Cache_t (uint32_t miss_rate, uint32_t miss_penality):
@@ -59,5 +59,5 @@
 
     // find good place
-    list<cache_rsp_t>::iterator i;
+    std::list<cache_rsp_t>::iterator i;
     for(i = _list_respons.begin(); (i != _list_respons.end()) and (i->_cycle<=cycle); i++);
 
@@ -82,5 +82,5 @@
 public  : void end_cycle (void)
   {
-    for(list<cache_rsp_t>::iterator i = _list_respons.begin(); i != _list_respons.end(); i++)
+    for(std::list<cache_rsp_t>::iterator i = _list_respons.begin(); i != _list_respons.end(); i++)
       {
 	i->_cycle --;
@@ -90,5 +90,5 @@
 public  : void print (void)
   {
-    for(list<cache_rsp_t>::iterator i = _list_respons.begin(); i != _list_respons.end(); i++)
+    for(std::list<cache_rsp_t>::iterator i = _list_respons.begin(); i != _list_respons.end(); i++)
       {
 	std::cout << "{" << i->_cycle << "}\t" 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/Memory.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/Memory.h	(revision 72)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/Memory.h	(revision 75)
@@ -53,10 +53,10 @@
       }
 
-    cout << "=====[ Memory's information ]" << endl
-	 << "  * _nb_context : " << _nb_context << endl
-	 << "  * _nb_word    : " << _nb_word    << endl
-	 << "  * _size_word  : " << _size_word  << endl
-	 << "  * _shift_addr : " << _shift_addr << endl
-	 << "  * _mask_addr  : " << hex << _mask_addr << dec << endl;
+    std::cout << "=====[ Memory's information ]" << std::endl
+	      << "  * _nb_context : " << _nb_context << std::endl
+	      << "  * _nb_word    : " << _nb_word    << std::endl
+	      << "  * _size_word  : " << _size_word  << std::endl
+	      << "  * _shift_addr : " << _shift_addr << std::endl
+	      << "  * _mask_addr  : " << std::hex << _mask_addr << std::dec << std::endl;
   }
 
@@ -71,9 +71,9 @@
 						       morpheo::behavioural::Tdcache_data_t    data)
   {
-    cout << "<Memory::access>" << endl
-	 << " * context : " << context << endl
-	 << " * address : " << hex << address << dec << endl
-	 << " * type    : " << type << endl
-	 << " * wdata   : " << hex << data << dec << endl;
+    std::cout << "<Memory::access>" << std::endl
+	      << " * context : " << context << std::endl
+	      << " * address : " << std::hex << address << std::dec << std::endl
+	      << " * type    : " << type << std::endl
+	      << " * wdata   : " << std::hex << data << std::dec << std::endl;
 
     morpheo::behavioural::Tdcache_data_t rdata;
@@ -90,5 +90,5 @@
 	rdata = other (context, address, type);
 
-    cout << " * rdata   : " << hex << rdata << dec << endl;
+    std::cout << " * rdata   : " << std::hex << rdata << std::dec << std::endl;
 
     return rdata;
@@ -161,5 +161,5 @@
 						      morpheo::behavioural::Tdcache_data_t data)
   {
-    cout << "   * write" << endl;
+    std::cout << "   * write" << std::endl;
 
     if (context>_nb_context)
@@ -172,8 +172,8 @@
     morpheo::behavioural::Tdcache_address_t MSB = address >> _shift_addr;
 
-    cout << hex
-	 << "     * LSB         : " << LSB << endl
-	 << "     * MSB         : " << MSB << endl
-	 << dec;
+    std::cout << std::hex
+	 << "     * LSB         : " << LSB << std::endl
+	 << "     * MSB         : " << MSB << std::endl
+	 << std::dec;
   
     morpheo::behavioural::Tdcache_data_t data_old    = _data [context][MSB];
@@ -193,21 +193,21 @@
     uint32_t index_max = index_min+memory_size;
 
-    cout << "     * type        : " << type << endl
-	 << "     * memory_size : " << memory_size << endl
-	 << "     * index_min   : " << index_min << endl
-	 << "     * index_max   : " << index_max << endl;
+    std::cout << "     * type        : " << type << std::endl
+	 << "     * memory_size : " << memory_size << std::endl
+	 << "     * index_min   : " << index_min << std::endl
+	 << "     * index_max   : " << index_max << std::endl;
     
     morpheo::behavioural::Tdcache_data_t data_insert = data<<index_min; // the data is aligned at LSB
 
-//     cout << "read :" << endl
-// 	 << " * context     : " << context << endl
-// 	 << hex		    
-// 	 << " * address     : " << address << endl
-// 	 << "   * LSB       : " << LSB       << endl
-// 	 << "   * MSB       : " << MSB       << endl
-// 	 << dec
-// 	 << "   * index_min : " << index_min << endl
-// 	 << "   * index_max : " << index_max << endl
-// 	 << " * type        : " << type    << endl;
+//     std::cout << "read :" << std::endl
+// 	 << " * context     : " << context << std::endl
+// 	 << std::hex		    
+// 	 << " * address     : " << address << std::endl
+// 	 << "   * LSB       : " << LSB       << std::endl
+// 	 << "   * MSB       : " << MSB       << std::endl
+// 	 << std::dec
+// 	 << "   * index_min : " << index_min << std::endl
+// 	 << "   * index_max : " << index_max << std::endl
+// 	 << " * type        : " << type    << std::endl;
 
     if (index_max > _size_word)
@@ -218,8 +218,8 @@
     _data [context][MSB] = data_new;
     
-    cout << hex
-	 << "     * data_old    : " << data_old << endl
-	 << "     * data_new    : " << data_new << endl
-	 << dec;
+    std::cout << std::hex
+	      << "     * data_old    : " << data_old << std::endl
+	      << "     * data_new    : " << data_new << std::endl
+	      << std::dec;
 
 
@@ -277,9 +277,9 @@
 	  }
 	std::cout << " - "
-		  << hex
+		  << std::hex
 		  << i->_address << " : "
 		  << i->_data_old << " -> "
 		  << i->_data_new << std::endl
-		  << hex;
+		  << std::hex;
       }
   }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/MemoryRequest.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/MemoryRequest.h	(revision 72)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/SelfTest/include/MemoryRequest.h	(revision 75)
@@ -126,11 +126,11 @@
   {
     return os << "<" << morpheo::toString(x._cycle) << "> : "
-	      << "{" << morpheo::toString(static_cast<uint32_t>(x._packet_id)) << "}" << endl
-	      << "\t * context / front_end / ooo_engine  : " << morpheo::toString(static_cast<uint32_t>(x._context_id   )) << " - " << morpheo::toString(static_cast<uint32_t>(x._front_end_id )) << " - " << morpheo::toString(static_cast<uint32_t>(x._ooo_engine_id)) << endl
-	      << "\t * operation  / type / write_spec_ko : " << morpheo::toString(static_cast<uint32_t>(x._operation)) << " " << morpheo::toString(static_cast<uint32_t>(x._type)) << " " << morpheo::toString(static_cast<uint32_t>(x._write_spec_ko)) << endl
-	      << "\t * ptr_write store/load              : " << morpheo::toString(static_cast<uint32_t>(x._store_queue_ptr_write)) << " " << morpheo::toString(static_cast<uint32_t>(x._load_queue_ptr_write)) << endl
-	      << "\t * immediat / data_ra / data_rb      : " << morpheo::toString(static_cast<uint32_t>(x._immediat)) << " - " << morpheo::toString(static_cast<uint32_t>(x._data_ra)) << " - " << morpheo::toString(static_cast<uint32_t>(x._data_rb)) << endl
-	      << "\t * write_rd / num_reg_rd             : " << morpheo::toString(static_cast<uint32_t>(x._write_rd)) << " " << morpheo::toString(static_cast<uint32_t>(x._num_reg_rd)) << endl
-	      << "\t * data_wait                         : " << morpheo::toString(static_cast<uint32_t>(x._data_wait)) << endl;
+	      << "{" << morpheo::toString(static_cast<uint32_t>(x._packet_id)) << "}" << std::endl
+	      << "\t * context / front_end / ooo_engine  : " << morpheo::toString(static_cast<uint32_t>(x._context_id   )) << " - " << morpheo::toString(static_cast<uint32_t>(x._front_end_id )) << " - " << morpheo::toString(static_cast<uint32_t>(x._ooo_engine_id)) << std::endl
+	      << "\t * operation  / type / write_spec_ko : " << morpheo::toString(static_cast<uint32_t>(x._operation)) << " " << morpheo::toString(static_cast<uint32_t>(x._type)) << " " << morpheo::toString(static_cast<uint32_t>(x._write_spec_ko)) << std::endl
+	      << "\t * ptr_write store/load              : " << morpheo::toString(static_cast<uint32_t>(x._store_queue_ptr_write)) << " " << morpheo::toString(static_cast<uint32_t>(x._load_queue_ptr_write)) << std::endl
+	      << "\t * immediat / data_ra / data_rb      : " << morpheo::toString(static_cast<uint32_t>(x._immediat)) << " - " << morpheo::toString(static_cast<uint32_t>(x._data_ra)) << " - " << morpheo::toString(static_cast<uint32_t>(x._data_rb)) << std::endl
+	      << "\t * write_rd / num_reg_rd             : " << morpheo::toString(static_cast<uint32_t>(x._write_rd)) << " " << morpheo::toString(static_cast<uint32_t>(x._num_reg_rd)) << std::endl
+	      << "\t * data_wait                         : " << morpheo::toString(static_cast<uint32_t>(x._data_wait)) << std::endl;
   }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/VERSION
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/VERSION	(revision 72)
+++ 	(revision )
@@ -1,4 +1,0 @@
-v0.6
-
-0.5 modif vhdl_port et vhdl_testbench_port -> ajout d'une macro
-0.6 ajout de la documentation
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/include/Load_store_unit.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/include/Load_store_unit.h	(revision 72)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/include/Load_store_unit.h	(revision 75)
@@ -30,7 +30,4 @@
 #include "Behavioural/include/Vhdl.h"
 #endif
-
-using namespace std;
-using namespace morpheo::behavioural::generic::queue_control;
 
 namespace morpheo {
@@ -51,5 +48,5 @@
     // -----[ fields ]----------------------------------------------------
     // Parameters
-  protected : const string       _name;
+  protected : const std::string       _name;
 
   protected : const Parameters * _param;
@@ -194,5 +191,5 @@
    sc_module_name                                name,
 #else					       
-   string                                        name,
+   std::string                                   name,
 #endif					       
 #ifdef STATISTICS
@@ -221,5 +218,4 @@
 #ifdef STATISTICS
   public  : void     statistics_declaration    (morpheo::behavioural::Parameters_Statistics * param_statistics);
-  public  : string   statistics_print          (uint32_t depth);
 #endif
 					       
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_allocation.cpp	(revision 72)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_allocation.cpp	(revision 75)
@@ -24,6 +24,4 @@
   void Load_store_unit::allocation (void)
   {
-    string rename;
-
     log_printf(FUNC,Load_store_unit,FUNCTION,"Begin");
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_function_speculative_load_commit_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_function_speculative_load_commit_transition.cpp	(revision 72)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_function_speculative_load_commit_transition.cpp	(revision 75)
@@ -660,33 +660,33 @@
 #if DEBUG>=DEBUG_TRACE
 	// ***** dump store queue
-	cout << "Dump STORE_QUEUE :" << endl
-	     << "ptr_read : " << toString(static_cast<uint32_t>(reg_STORE_QUEUE_PTR_READ)) << endl;
+	std::cout << "Dump STORE_QUEUE :" << std::endl
+		  << "ptr_read : " << toString(static_cast<uint32_t>(reg_STORE_QUEUE_PTR_READ)) << std::endl;
 	
 	for (uint32_t i=0; i<_param->_size_store_queue; i++)
 	  {
 	    uint32_t j = (reg_STORE_QUEUE_PTR_READ+i)%_param->_size_store_queue;
-	    cout << "{" << j << "}" << endl
-		 << _store_queue[j] << endl;
+	    std::cout << "{" << j << "}" << std::endl
+		      << _store_queue[j] << std::endl;
 	  }
 
 	// ***** dump speculative_access queue
-	cout << "Dump SPECULATIVE_ACCESS_QUEUE :" << endl;
+	std::cout << "Dump SPECULATIVE_ACCESS_QUEUE :" << std::endl;
 	
 	for (uint32_t i=0; i<_param->_size_speculative_access_queue; i++)
 	  {
 	    uint32_t j = (*_speculative_access_queue_control)[i];
-	    cout << "{" << j << "}" << endl
-		 << _speculative_access_queue[j] << endl;
+	    std::cout << "{" << j << "}" << std::endl
+		 << _speculative_access_queue[j] << std::endl;
 	  }
 
 	// ***** dump load queue
-	cout << "Dump LOAD_QUEUE :" << endl
-	     << "ptr_read_check_priority : " << toString(static_cast<uint32_t>(reg_LOAD_QUEUE_CHECK_PRIORITY)) << endl;
+	std::cout << "Dump LOAD_QUEUE :" << std::endl
+	     << "ptr_read_check_priority : " << toString(static_cast<uint32_t>(reg_LOAD_QUEUE_CHECK_PRIORITY)) << std::endl;
 	
 	for (uint32_t i=0; i<_param->_size_load_queue; i++)
 	  {
 	    uint32_t j = i;
-	    cout << "{" << j << "}" << endl
-		 << _load_queue[j] << endl;
+	    std::cout << "{" << j << "}" << std::endl
+		 << _load_queue[j] << std::endl;
 	  }
 	
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_statistics_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/src/Load_store_unit_statistics_print.cpp	(revision 72)
+++ 	(revision )
@@ -1,43 +1,0 @@
-#ifdef STATISTICS
-/*
- * $Id$
- *
- * [ Description ]
- * 
- */
-
-#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/include/Load_store_unit.h"
-
-namespace morpheo {
-namespace behavioural {
-namespace core {
-namespace multi_execute_loop {
-namespace execute_loop {
-namespace multi_execute_unit {
-namespace execute_unit {
-namespace load_store_unit {
-
-
-#undef  FUNCTION
-#define FUNCTION "Load_store_unit::statistics_print"
-  string Load_store_unit::statistics_print (uint32_t depth)
-  {
-    log_printf(FUNC,Load_store_unit,FUNCTION,"Begin");
-
-    string txt = _stat->print(depth);
-    
-    log_printf(FUNC,Load_store_unit,FUNCTION,"End");
-
-    return txt;
-  };
-
-}; // end namespace load_store_unit
-}; // end namespace execute_unit
-}; // end namespace multi_execute_unit
-}; // end namespace execute_loop
-}; // end namespace multi_execute_loop
-}; // end namespace core
-
-}; // end namespace behavioural
-}; // end namespace morpheo              
-#endif
